from django.urls import path
from .views import (
    ChartDataByMonth,
    AnalyticsData,
    monthly_report,
    weekly_report,
    weeklyreportlist,
    report_by_date_range
)

urlpatterns = [
    path('', AnalyticsData.as_view(), name='analytics'),
    path('analytic-data/', ChartDataByMonth.as_view()),
    path('monthly-report/<location_id>', monthly_report),
    path('weekly-report/<location_id>', weekly_report),
    path('weekly-reports', weeklyreportlist),
    path('date-range-report/<location_id>', report_by_date_range),
]
